aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteGroupPolicy

Synopsis

- data DeleteGroupPolicy = DeleteGroupPolicy {
  - dgpPolicyName :: Text
  - dgpGroupName :: Text
  }
- data DeleteGroupPolicyResponse = DeleteGroupPolicyResponse

# Documentation

data DeleteGroupPolicy #

Deletes the specified policy associated with the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteGroupPolicy.html

Constructors

DeleteGroupPolicy |

Fields

- dgpPolicyName :: Text

  Name of the policy to be deleted.

- dgpGroupName :: Text

  Name of the group with whom the policy is associated.

#### Instances

Instances details

SignQuery DeleteGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ServiceConfiguration DeleteGroupPolicy |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ServiceConfiguration DeleteGroupPolicy = IamConfiguration

Methods

signQuery :: DeleteGroupPolicy -> ServiceConfiguration DeleteGroupPolicy queryType -> SignatureData -> SignedQuery #

Show DeleteGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods showsPrec :: Int -> DeleteGroupPolicy -> ShowS # show :: DeleteGroupPolicy -> String # showList :: [DeleteGroupPolicy] -> ShowS #
Eq DeleteGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods (==) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool # (/=) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool #
Ord DeleteGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Methods

compare :: DeleteGroupPolicy -> DeleteGroupPolicy -> Ordering #

(<) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool #

(<=) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool #

(>) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool #

(>=) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool #

max :: DeleteGroupPolicy -> DeleteGroupPolicy -> DeleteGroupPolicy #

min :: DeleteGroupPolicy -> DeleteGroupPolicy -> DeleteGroupPolicy #

ResponseConsumer DeleteGroupPolicy DeleteGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ResponseMetadata DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroupPolicy -> IORef (ResponseMetadata DeleteGroupPolicyResponse) -> HTTPResponseConsumer DeleteGroupPolicyResponse #

Transaction DeleteGroupPolicy DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy
type ServiceConfiguration DeleteGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ServiceConfiguration DeleteGroupPolicy = IamConfiguration

data DeleteGroupPolicyResponse #

Constructors

DeleteGroupPolicyResponse |

#### Instances

Instances details

AsMemoryResponse DeleteGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type MemoryResponse DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type MemoryResponse DeleteGroupPolicyResponse = DeleteGroupPolicyResponse

Methods

loadToMemory :: DeleteGroupPolicyResponse -> ResourceT IO (MemoryResponse DeleteGroupPolicyResponse) #

Show DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods showsPrec :: Int -> DeleteGroupPolicyResponse -> ShowS # show :: DeleteGroupPolicyResponse -> String # showList :: [DeleteGroupPolicyResponse] -> ShowS #
Eq DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods (==) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool # (/=) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool #
Ord DeleteGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Methods

compare :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Ordering #

(<) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool #

(<=) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool #

(>) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool #

(>=) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool #

max :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse #

min :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse #

ResponseConsumer DeleteGroupPolicy DeleteGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ResponseMetadata DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroupPolicy -> IORef (ResponseMetadata DeleteGroupPolicyResponse) -> HTTPResponseConsumer DeleteGroupPolicyResponse #

Transaction DeleteGroupPolicy DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy
type MemoryResponse DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type MemoryResponse DeleteGroupPolicyResponse = DeleteGroupPolicyResponse
type ResponseMetadata DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata